havenshen/enjelly-down

一个Markdown解析器,基于Laravel5.*以上版本插件。

v1.1 2016-06-21 08:39 UTC

This package is auto-updated.

Last update: 2020-07-22 05:03:45 UTC


README

Latest Stable Version Total Downloads License

本版本基于 SegmentFault/HyperDown - markdown解析器,为laravel封装了一个package,laravel5.1.*以上版本可用.

安装

  1. 安装包文件
composer require havenshen/enjelly-down

配置

Laravel 应用

  1. 注册 ServiceProvider:
HavenShen\EnjellyDown\EnjellyDownProvider::class,
  1. (可选)添加外观到 config/app.php 中的 aliases 部分:
'EnjellyDown' => HavenShen\EnjellyDown\Facades\EnjellyDown::class,

6.使用

/*
* 传入解析内容文本
*/
\EnjellyDown::markdown('需要解析内容文本');

License

MIT